# Method: portabilityArchive.initiate

- [HTTP request](https://developers.google.com/data-portability/reference/rest/v1/portabilityArchive/initiate#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/data-portability/reference/rest/v1/portabilityArchive/initiate#body.request_body)
  - [JSON representation](https://developers.google.com/data-portability/reference/rest/v1/portabilityArchive/initiate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/data-portability/reference/rest/v1/portabilityArchive/initiate#body.response_body)
  - [JSON representation](https://developers.google.com/data-portability/reference/rest/v1/portabilityArchive/initiate#body.InitiatePortabilityArchiveResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/data-portability/reference/rest/v1/portabilityArchive/initiate#body.aspect)
- [AccessType](https://developers.google.com/data-portability/reference/rest/v1/portabilityArchive/initiate#AccessType)

Initiates a new Archive job for the Portability API.

### HTTP request

`POST https://dataportability.googleapis.com/v1/portabilityArchive:initiate`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "resources": [ string ], "startTime": string, "endTime": string } ``` |

| Fields ||
|---|---|
| `resources[]` | `string` The resources from which you're exporting data. These values have a 1:1 correspondence with the OAuth scopes. |
| `startTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Optional. The timestamp that represents the starting point for the data you are exporting. If the startTime is not specified in the InitiatePortabilityArchiveRequest, the field is set to the earliest available data. Uses RFC 3339, where generated output will always be Z-normalized and uses 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |
| `endTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Optional. The timestamp that represents the end point for the data you are exporting. If the endTime is not specified in the InitiatePortabilityArchiveRequest, this field is set to the latest available data. Uses RFC 3339, where generated output will always be Z-normalized and uses 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |

### Response body

Response from initiating an Archive job.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "archiveJobId": string, "accessType": enum (`https://developers.google.com/data-portability/reference/rest/v1/portabilityArchive/initiate#AccessType`) } ``` |

| Fields ||
|---|---|
| `archiveJobId` | `string` The archive job ID that is initiated in the API. This can be used to get the state of the job. |
| `accessType` | ``enum (`https://developers.google.com/data-portability/reference/rest/v1/portabilityArchive/initiate#AccessType`)`` The access type of the Archive job initiated by the API. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/dataportability.alerts.subscriptions`
- `https://www.googleapis.com/auth/dataportability.businessmessaging.conversations`
- `https://www.googleapis.com/auth/dataportability.chrome.autofill`
- `https://www.googleapis.com/auth/dataportability.chrome.bookmarks`
- `https://www.googleapis.com/auth/dataportability.chrome.dictionary`
- `https://www.googleapis.com/auth/dataportability.chrome.extensions`
- `https://www.googleapis.com/auth/dataportability.chrome.history`
- `https://www.googleapis.com/auth/dataportability.chrome.reading_list`
- `https://www.googleapis.com/auth/dataportability.chrome.settings`
- `https://www.googleapis.com/auth/dataportability.discover.follows`
- `https://www.googleapis.com/auth/dataportability.discover.likes`
- `https://www.googleapis.com/auth/dataportability.discover.not_interested`
- `https://www.googleapis.com/auth/dataportability.maps.aliased_places`
- `https://www.googleapis.com/auth/dataportability.maps.commute_routes`
- `https://www.googleapis.com/auth/dataportability.maps.commute_settings`
- `https://www.googleapis.com/auth/dataportability.maps.ev_profile`
- `https://www.googleapis.com/auth/dataportability.maps.factual_contributions`
- `https://www.googleapis.com/auth/dataportability.maps.offering_contributions`
- `https://www.googleapis.com/auth/dataportability.maps.photos_videos`
- `https://www.googleapis.com/auth/dataportability.maps.questions_answers`
- `https://www.googleapis.com/auth/dataportability.maps.reviews`
- `https://www.googleapis.com/auth/dataportability.maps.starred_places`
- `https://www.googleapis.com/auth/dataportability.myactivity.maps`
- `https://www.googleapis.com/auth/dataportability.myactivity.myadcenter`
- `https://www.googleapis.com/auth/dataportability.myactivity.play`
- `https://www.googleapis.com/auth/dataportability.myactivity.search`
- `https://www.googleapis.com/auth/dataportability.myactivity.shopping`
- `https://www.googleapis.com/auth/dataportability.myactivity.youtube`
- `https://www.googleapis.com/auth/dataportability.mymaps.maps`
- `https://www.googleapis.com/auth/dataportability.order_reserve.purchases_reservations`
- `https://www.googleapis.com/auth/dataportability.play.devices`
- `https://www.googleapis.com/auth/dataportability.play.grouping`
- `https://www.googleapis.com/auth/dataportability.play.installs`
- `https://www.googleapis.com/auth/dataportability.play.library`
- `https://www.googleapis.com/auth/dataportability.play.playpoints`
- `https://www.googleapis.com/auth/dataportability.play.promotions`
- `https://www.googleapis.com/auth/dataportability.play.purchases`
- `https://www.googleapis.com/auth/dataportability.play.redemptions`
- `https://www.googleapis.com/auth/dataportability.play.subscriptions`
- `https://www.googleapis.com/auth/dataportability.play.usersettings`
- `https://www.googleapis.com/auth/dataportability.saved.collections`
- `https://www.googleapis.com/auth/dataportability.search_ugc.comments`
- `https://www.googleapis.com/auth/dataportability.search_ugc.media.reviews_and_stars`
- `https://www.googleapis.com/auth/dataportability.search_ugc.media.streaming_video_providers`
- `https://www.googleapis.com/auth/dataportability.search_ugc.media.thumbs`
- `https://www.googleapis.com/auth/dataportability.search_ugc.media.watched`
- `https://www.googleapis.com/auth/dataportability.searchnotifications.settings`
- `https://www.googleapis.com/auth/dataportability.searchnotifications.subscriptions`
- `https://www.googleapis.com/auth/dataportability.shopping.addresses`
- `https://www.googleapis.com/auth/dataportability.shopping.reviews`
- `https://www.googleapis.com/auth/dataportability.streetview.imagery`
- `https://www.googleapis.com/auth/dataportability.youtube.channel`
- `https://www.googleapis.com/auth/dataportability.youtube.clips`
- `https://www.googleapis.com/auth/dataportability.youtube.comments`
- `https://www.googleapis.com/auth/dataportability.youtube.live_chat`
- `https://www.googleapis.com/auth/dataportability.youtube.music`
- `https://www.googleapis.com/auth/dataportability.youtube.playable`
- `https://www.googleapis.com/auth/dataportability.youtube.posts`
- `https://www.googleapis.com/auth/dataportability.youtube.private_playlists`
- `https://www.googleapis.com/auth/dataportability.youtube.private_videos`
- `https://www.googleapis.com/auth/dataportability.youtube.public_playlists`
- `https://www.googleapis.com/auth/dataportability.youtube.public_videos`
- `https://www.googleapis.com/auth/dataportability.youtube.shopping`
- `https://www.googleapis.com/auth/dataportability.youtube.subscriptions`
- `https://www.googleapis.com/auth/dataportability.youtube.unlisted_playlists`
- `https://www.googleapis.com/auth/dataportability.youtube.unlisted_videos`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## AccessType

Access type enum for the Archive job.

| Enums ||
|---|---|
| `ACCESS_TYPE_UNSPECIFIED` | Default value. This value is unused. |
| `ACCESS_TYPE_ONE_TIME` | One-time access to the requested scopes. |
| `ACCESS_TYPE_TIME_BASED` | Multiple exports allowed over 30 days. Enum value subject to change before launch. |